Package Base Details: virtualbox-modules-mainline

Git Clone URL: https://aur.archlinux.org/virtualbox-modules-mainline.git (read-only)
Keywords: mainline modules virtualbox
Submitter: FadeMind
Maintainer: SBeaver (moscar)
Last Packager: SBeaver
Votes: 4
Popularity: 0.000000
First Submitted: 2014-11-24 14:11
Last Updated: 2017-06-02 22:22

Latest Comments

« First ‹ Previous 1 2 3 Next › Last »

SBeaver commented on 2016-04-12 17:19

4.6rc3 changed something related to mm.h, so the package no longer builds. Awaiting fix in vbox dkms package.

SBeaver commented on 2016-03-14 18:33

Thanks. I added your fix. You should now be co-maintainer in case you need to do any changes at some point.

moscar commented on 2016-03-14 12:01

Here is a fixed PKGBUILD that doesn't use sudo:

https://gist.github.com/anonymous/d43b8dd5c0ecc371c8f2

moscar commented on 2016-03-14 11:31

I'm sorry but it's not right to run sudo (or write to the root system) from within the build step, it's expected that you can build an Arch linux package as a normal user (assuming all deps are installed).

You should be able to install a symlink in the package function which references $pkgdir/usr/... instead of doing it as root in the build function (or something along those lines).

SBeaver commented on 2016-03-13 21:51

Symbolic link moved into the build script. If your build fails, the links are not deleted I think, so be aware of this. I left it intentionally so the script will not try to delete the links if you fail to create them in the first place, like you don't have the right version of vbox dkms.

SBeaver commented on 2016-03-08 23:54

Some directory changed in the latest virtualbox dkms version.
I wont change anything until 5.0.16 is out, so to build right now add a symbolic link before building like ln -s /usr/src/vboxhost-5.0.14_OSE /usr/src/vboxhost-5.0.14 and the same for vboxguest

SBeaver commented on 2016-01-26 23:11

Short lived patch, now 5.0.14 is out so everything is fine again.

SBeaver commented on 2016-01-26 20:59

Added a patch that uses lnkops.c from 5.0.14 vboxguest dkms to make it build with 4.5 rcs. It apperas to work normally again with this added.

SBeaver commented on 2016-01-25 16:08

4.5rc does not play with modules 5.0.12 apparently so it wont build at the moment. I may make a temporary patch until 5.0.14 reaches us if it's not too much work. If you need vbox modules, stay on 4.4 kernel for now.

SBeaver commented on 2015-11-22 22:33

Note that 5.0.10-1 now requires linux-mainline 4.4rc1-2 or later.
I don't know how to enforce this so make sure you update linux-mainline first or this package will not build.